Request a quote

Permissions required: Execute trades

Request a quote

Idempotent Requests

This endpoint supports idempotent requests so that quote is not requested twice if an API call was interrupted and must be retried. To send an idempotent request, include the idempotentId field in the body of the POST request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request for quote examples

BUY quote requests:

  • I want to buy the amount of BTC equivalent to 100 USD (I buy BTC and sell USD)

    {
      "tradingPair": "BTC-USD",
      "side": "BUY",
      "quantity": "100",
      "currency": "USD"
    }
  • I want to buy 1 BTC (I buy BTC and sell USD)

    {
      "tradingPair": "BTC-USD",
      "side": "BUY",
      "quantity": "1",
      "currency": "BTC"
    }
  • I want to buy the amount of ETH equivalent to 1 BTC (I buy ETH and sell BTC)

    {
      "tradingPair": "ETH-BTC",
      "side": "BUY",
      "quantity": "1",
      "currency": "BTC"
    }

SELL quote requests:

  • I want to sell the amount of BTC equivalent to 100 USD (I sell BTC and buy USD)

    {
      "tradingPair": "BTC-USD",
      "side": "SELL",
      "quantity": "100",
      "currency": "USD"
    }
  • I want to sell 1 BTC (I sell BTC and buy USD)

    {
      "tradingPair": "BTC-USD",
      "side": "SELL",
      "quantity": "1",
      "currency": "BTC"
    }
  • I want to sell 1 ETH (I sell ETH and buy BTC)

    {
      "tradingPair": "ETH-BTC",
      "side": "SELL",
      "quantity": "1",
      "currency": "ETH"
    }

TWOWAY quote requests:

  • I want two-way quotes to buy 1 ETH and sell BTC or to sell 1 ETH and buy BTC
    {
      "tradingPair": "ETH-BTC",
      "side": "TWOWAY",
      "quantity": "1",
      "currency": "ETH"
    }
string | null

Account ID for quote, must match the accountId on accept quote.

string
required

Currency of quantity.

string | null

A client-provided unique ID for idempotent requests (optional). If provided a value, the same idempotentId must be also provided to accept quote.

string
required

Quantity to quote for in units of currency.

boolean

Optional boolean to specify if quantity should round to Anchorage Digital supported increments. If false or not specified, the request can be rejected if quantity has more precision than our published size increments. The rounding is done as a truncation of the extra fractional digits.

string
enum
required

Side of the quote request. "BUY", "SELL", or "TWOWAY".

Allowed:
string
required

Trading pair being quoted.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json